searchNodes=[{"doc":"UXIDs are identifiers which:describe the resource (to help in debugging and investigation)work well with copy and paste (double clicking should select the entire ID)can be shortened for low cardinality resourcesare very unlikely to collideare secure against enumeration attackscan be generated by application code (not tied to the datastore)are K-sortable (lexicographically sortable by time - works well with datastore indexing)do not require any coordination (human or automated) at startup, or generationMany of the concepts of Stripe IDs have been used in this library.","ref":"UXID.html","title":"UXID","type":"module"},{"doc":"Decodes a UXID from a string.","ref":"UXID.html#decode/1","title":"UXID.decode/1","type":"function"},{"doc":"Returns an encoded UXID string along with response status.","ref":"UXID.html#generate/1","title":"UXID.generate/1","type":"function"},{"doc":"Returns an unwrapped encoded UXID string or raises on error.","ref":"UXID.html#generate!/1","title":"UXID.generate!/1","type":"function"},{"doc":"Returns a new UXID struct. This is useful for development.","ref":"UXID.html#new/1","title":"UXID.new/1","type":"function"},{"doc":"An error string returned by the library if generation fails","ref":"UXID.html#t:error_string/0","title":"UXID.error_string/0","type":"type"},{"doc":"Options for generating a UXID","ref":"UXID.html#t:option/0","title":"UXID.option/0","type":"type"},{"doc":"","ref":"UXID.html#t:options/0","title":"UXID.options/0","type":"type"},{"doc":"A UXID struct","ref":"UXID.html#t:t/0","title":"UXID.t/0","type":"type"},{"doc":"A UXID represented as a String","ref":"UXID.html#t:uxid_string/0","title":"UXID.uxid_string/0","type":"type"},{"doc":"This module provides data encoding and decoding functions according to Crockford Base32Crockford's Base 32 (UX focused - can be read over the phone) alphabetValueEncodingValueEncodingValueEncodingValueEncoding009918J27V1110A19K28W2211B20M29X3312C21N30Y4413D22P31Z5514E23Q6615F24R(pad)=7716G25S8817H26T","ref":"UXID.CrockfordBase32.html","title":"UXID.CrockfordBase32","type":"module"},{"doc":"Decodes a base 32 encoded string with Crockford's alphabet into a binary string.OptionsThe accepted options are::case - specifies the character case to accept when decoding:padding - specifies whether to require paddingThe values for :case can be::upper - only allows upper case characters (default):lower - only allows lower case characters:mixed - allows mixed case charactersThe values for :padding can be:true - requires the input string to be padded to the nearest multiple of 8false - ignores padding from the input string (default)Examplesiex&gt; UXID.CrockfordBase32.decode(&quot;CSQPYRK1E8&quot;) {:ok, &quot;foobar&quot;} iex&gt; UXID.CrockfordBase32.decode(&quot;csqpyrk1e8&quot;, case: :lower) {:ok, &quot;foobar&quot;} iex&gt; UXID.CrockfordBase32.decode(&quot;csqPyRK1E8&quot;, case: :mixed) {:ok, &quot;foobar&quot;} iex&gt; UXID.CrockfordBase32.decode(&quot;CSQPYRK1E8======&quot;, padding: true) {:ok, &quot;foobar&quot;}","ref":"UXID.CrockfordBase32.html#decode/2","title":"UXID.CrockfordBase32.decode/2","type":"function"},{"doc":"Decodes a base 32 encoded string with extended crockfordadecimal alphabet into a binary string.An ArgumentError exception is raised if the padding is incorrect or a non-alphabet character is present in the string.OptionsThe accepted options are::case - specifies the character case to accept when decoding:padding - specifies whether to require paddingThe values for :case can be::upper - only allows upper case characters (default):lower - only allows lower case characters:mixed - allows mixed case charactersThe values for :padding can be:true - requires the input string to be padded to the nearest multiple of 8 (default)false - ignores padding from the input stringExamplesiex&gt; UXID.CrockfordBase32.decode!(&quot;CSQPYRK1E8&quot;) &quot;foobar&quot; iex&gt; UXID.CrockfordBase32.decode!(&quot;csqpyrk1e8&quot;, case: :lower) &quot;foobar&quot; iex&gt; UXID.CrockfordBase32.decode!(&quot;csqPyRK1E8&quot;, case: :mixed) &quot;foobar&quot; iex&gt; UXID.CrockfordBase32.decode!(&quot;CSQPYRK1E8======&quot;, padding: true) &quot;foobar&quot;","ref":"UXID.CrockfordBase32.html#decode!/2","title":"UXID.CrockfordBase32.decode!/2","type":"function"},{"doc":"Encodes a binary string into a base 32 encoded string using Crockford's alphabet.OptionsThe accepted options are::case - specifies the character case to use when encoding:padding - specifies whether to apply paddingThe values for :case can be::upper - uses upper case characters (default):lower - uses lower case charactersThe values for :padding can be:true - pad the output string to the nearest multiple of 8false - omit padding from the output string (default)Examplesiex&gt; UXID.CrockfordBase32.encode(&quot;foobar&quot;) &quot;CSQPYRK1E8&quot; iex&gt; UXID.CrockfordBase32.encode(&quot;foobar&quot;, case: :lower) &quot;csqpyrk1e8&quot; iex&gt; UXID.CrockfordBase32.encode(&quot;foobar&quot;, padding: true) &quot;CSQPYRK1E8======&quot;","ref":"UXID.CrockfordBase32.html#encode/2","title":"UXID.CrockfordBase32.encode/2","type":"function"},{"doc":"","ref":"UXID.CrockfordBase32.html#phony/1","title":"UXID.CrockfordBase32.phony/1","type":"function"},{"doc":"Decodes strings into UXID structs","ref":"UXID.Decoder.html","title":"UXID.Decoder","type":"module"},{"doc":"","ref":"UXID.Decoder.html#process/1","title":"UXID.Decoder.process/1","type":"function"},{"doc":"Encodes UXID structs into strings","ref":"UXID.Encoder.html","title":"UXID.Encoder","type":"module"},{"doc":"","ref":"UXID.Encoder.html#process/1","title":"UXID.Encoder.process/1","type":"function"},{"doc":"","ref":"UXID.Decoder.InvalidBase32Error.html","title":"UXID.Decoder.InvalidBase32Error","type":"exception"},{"doc":"","ref":"UXID.Decoder.MaxTimeExceededError.html","title":"UXID.Decoder.MaxTimeExceededError","type":"exception"},{"doc":"","ref":"UXID.Decoder.MissingInputError.html","title":"UXID.Decoder.MissingInputError","type":"exception"},{"doc":"","ref":"UXID.Decoder.MissingInputError.html#exception/0","title":"UXID.Decoder.MissingInputError.exception/0","type":"function"},{"doc":"UXIDUXIDs are identifiers which:describe the resource (to help in debugging and investigation)work well with copy and paste (double clicking should select the entire ID)can be shortened for low cardinality resourcesare very unlikely to collideare secure against enumeration attackscan be generated by application code (not tied to the datastore)are K-sortable (lexicographically sortable by time - works well with datastore indexing)do not require any coordination (human or automated) at startup, or generationMany of the concepts of Stripe IDs have been used in this library.","ref":"readme.html","title":"UXID","type":"extras"},{"doc":"# No options generates a basic ULID UXID.generate! # &quot;01EMDGJF0DQXQJ8FM78XE97Y3H&quot; # A prefix can be provided UXID.generate! prefix: &quot;cus&quot; # &quot;cus_01EMDGJF0DQXQJ8FM78XE97Y3H&quot; # The amount of randomness can be decreased for smaller cardinality resources UXID.generate! prefix: &quot;cus&quot;, rand_size: 4 # &quot;cus_01EMDGN5QAGPWSKN2&quot;","ref":"readme.html#usage","title":"UXID - Usage","type":"extras"},{"doc":"The package can be installed by adding uxid to your list of dependencies in mix.exs:def deps do [ {:uxid, &quot;~&gt; 0.0.3&quot;} ] endDocumentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/uxid.","ref":"readme.html#installation","title":"UXID - Installation","type":"extras"}]